import React from "react";
import "./App.css";
import Header from "./Header/header";
import Navigation from "./Content/Navigation/navigation";
import Messages from "./Content/Messages/messages";
import News from "./Content/News/news";
import { Redirect, Route } from "react-router-dom";
import Music from "./Content/Music/music";
import Profile from "./Content/Profile/profile";
import Settings from "./Content/Settings/settings";

function App(props) {
  return (
    <div className="app-wrapper">
      <Header />

      <div className="content-block">
        <Navigation />

        <div className="app-wrapper-content">
          <Redirect exact from="/" to="/profile" />
          <Route
            path="/profile"
            render={() => <Profile state={props.state.profilePage} />}
          />
          <Route
            path="/messages"
            render={() => <Messages state={props.state.messagesPage} />}
          />
          <Route path="/news" component={News} />
          <Route path="/music" component={Music} />
          <Route path="/settings" component={Settings} />
        </div>
      </div>
    </div>
  );
}

export default App;
